class InvalidLicenseException(Exception):

    def __init__(self, message: str = "Invalid license"):
        super().__init__(message)


class InvalidFeatureException(Exception):

    def __init__(self, feature_name: str, message: str = "Invalid feature"):
        super().__init__(f"{message}: {feature_name}")
        self.feature_name = feature_name
